Table of Contents

Class: TestProgram | Twisted-0.19.0/pyunit/unittest.py
--- | ---
A command-line program that runs a set of tests; this is primarily for making test modules conveniently executable.
Methods |
--- | ---
__init__ createTests parseArgs runTests usageExit
| __init__
    __init__ (
            self,
            module='__main__',
            defaultTest=None,
            argv=None,
            testRunner=None,
            testLoader=defaultTestLoader,
            )
| createTests
    createTests ( self )
| parseArgs
    parseArgs ( self,  argv )
| runTests
    runTests ( self )
| usageExit
    usageExit ( self,  msg=None )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:29 2002 by HappyDoc version 2.0